<template>
	<div class="header">
		<h2 class="header__main">Jeff's Goods</h2>
		<div class="row header__cart">
			<input type="button" :value="cartButtonText" @click="goToCart" class="global__button-pointer" :disabled="cartCount == 0" />
		</div>
	</div>
</template>

<script>
	export default {
		name: 'BaseHeader',
		props: {
			cartCount: 0
		},
		data: () => ({

		}),
		computed: {
			cartButtonText() {
				return `Cart Items: ${this.cartCount}`
			}
		},
		methods: {
			goToCart() {
				this.$emit('go-to-cart');
			}
		}
	};
</script>

<style scoped>
	.header {
		background-color: darkolivegreen;
		padding: 1em;
	}

	.header__main {
		text-align: center;
	}

	.header__cart {
		text-align: center;
	}
</style>